// Sample dataset for states' populations. You can expand this.
const usaData = [
  { state: "California", value: 39538223 },
  { state: "Texas", value: 29145505 },
  //... add other states as needed
];

// Create an SVG element for the USA map
const svgUSA = d3.select('body')
  .append('svg')
  .attr('width', 960)
  .attr('height', 600);

// Define the projection for the USA map
const projection = d3.geoAlbersUsa().translate([480, 300]).scale(1280);
const pathGenerator = d3.geoPath().projection(projection);

// Load the USA map data and draw it
d3.json('TX.geo.json').then(usaMapData => {
  svgUSA.selectAll('path')
    .data(usaMapData.features)
    .enter()
    .append('path')
    .attr('d', pathGenerator)
    .attr('fill', d => {
      const state = d.properties.name;
      const dataPoint = usaData.find(d => d.state === state);
      return dataPoint ? d3.scaleSequential(d3.interpolateReds).domain([0, 40000000])(dataPoint.value) : 'lightgray';
    });
});
